#ifndef LEGACYAPPLICATION_H
#define LEGACYAPPLICATION_H

#include <QObject>
#include <QApplication>
#include <QThread>
#include <QMessageBox>
#include <QLockFile>
#include <QDir>
#include <QTextCodec>
#include <QDebug>
#include <QResource>
#include <QFontDatabase>

#include "models/lotrodatmanager.h"
#include "models/patchlist.h"
#include "widgets/mainwindow.h"

class LegacyApplication : public QApplication
{

public:
    LegacyApplication(int &argc, char** argv);
    virtual ~LegacyApplication() final;

    bool init();

private:
    LotroDatManager *lotro_dat_manager;
    QThread *lotro_dat_manager_thread;

    PatchList *patch_list;

    MainWindow *gui;
};

#endif // LEGACYAPPLICATION_H
